Skip to main content

Remap Account ID

This endpoint allows partners to re-assign their partner-defined account ID.

PUT
/users/{user_id}/members/{member_id}/accounts/{account_id}/remap_id

Path Parameters

FieldRequiredType

user_id

Required
String

member_id

Required
String

account_id

The old id.

Required
String

Request Body

FieldRequiredType

id

The new id.

Required
String

Request sample

Language:

_10
// This code example will be added soon

Response sample

200
Language:json

_41
{
_41
"account": {
_41
"account_number": "12345-678",
_41
"apr": null,
_41
"apy": null,
_41
"available_balance": 175,
_41
"available_credit": null,
_41
"balance": 175,
_41
"credit_limit": null,
_41
"currency_code": "USD",
_41
"day_payment_is_due": null,
_41
"guid": "ACT-a341b026-635c-8318-002c-9f3a58b0eff8",
_41
"id": "A-2345",
_41
"interest_rate": null,
_41
"is_closed": null,
_41
"is_hidden": false,
_41
"last_payment": null,
_41
"last_payment_at": 0,
_41
"last_payment_on": null,
_41
"matures_at": 0,
_41
"matures_on": null,
_41
"member_guid": "MBR-3e4f6897-06ae-e08a-29b2-27d62e574978",
_41
"member_id": "M-39XBF7",
_41
"metadata": null,
_41
"minimum_balance": 5,
_41
"minimum_payment": null,
_41
"name": "Premium Savings",
_41
"nickname": null,
_41
"original_balance": null,
_41
"payment_due_at": 0,
_41
"payoff_balance": null,
_41
"started_at": 0,
_41
"started_on": null,
_41
"statement_balance": null,
_41
"statement_closed_on": null,
_41
"subtype": null,
_41
"type": "SAVINGS",
_41
"user_guid": "USR-fe9bb059-67c4-0e6b-e8cd-3fa00b2b5735",
_41
"user_id": "U-39XBF7"
_41
}
_41
}